- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# kibana_plugin – Manage Kibana plugins

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to manage Kibana plugins.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
force boolean | Choices: no ← yes | Delete and re-install the plugin. Can be useful for plugins update.
name - / required |  | Name of the plugin to install.
plugin_bin - | Default: "/opt/kibana/bin/kibana" | Location of the Kibana binary.
plugin_dir - | Default: "/opt/kibana/installedPlugins/" | Your configured plugin directory specified in Kibana.
state - | Choices: present ← absent | Desired state of a plugin.
timeout - | Default: "1m" | Timeout setting: 30s, 1m, 1h etc.
url - |  | Set exact URL to download the plugin from. For local file, prefix its absolute path with file://
version - |  | Version of the plugin to be installed. If plugin exists with previous version, plugin will NOT be updated unless `force` is set to yes.

## Examples

    - name: Install Elasticsearch head plugin
      kibana_plugin:
        state: present
        name: elasticsearch/marvel

    - name: Install specific version of a plugin
      kibana_plugin:
        state: present
        name: elasticsearch/marvel
        version: '2.3.3'

    - name: Uninstall Elasticsearch head plugin
      kibana_plugin:
        state: absent
        name: elasticsearch/marvel

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cmd string | success | the launched command during plugin management (install / remove)
name string | success | the plugin name to install or remove
state string | success | the state for the managed plugin
stderr string | success | the command stderr
stdout string | success | the command stdout
timeout string | success | the timeout for plugin download
url string | success | the url from where the plugin is installed from

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Thierno IB. BARRY (@barryib)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.